<!DOCTYPE html>
<html>
<head>
	<title>Exam 2</title>
</head>
<body>
	<div id="app">
		<h3>{{ message }}</h3>

		<menu-item></menu-item>
		<menu-item></menu-item>
	</div>


	<script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <script>
    	Vue.component('menu-item', {
    		data() {
    			return {
    				message: 'Menu Component',
    				menus: [
    					{
    						id: 1,
    						name: 'Menu item 1'
    					},
    					{
    						id: 2,
    						name: 'Menu item 2'
    					},
    					{
    						id: 3,
    						name: 'Menu item 3'
    					},
    					{
    						id: 4,
    						name: 'Menu item 4'
    					},
    					{
    						id: 5,
    						name: 'Menu item 5'
    					},
    				]
    			}
    		},
    		methods: {
    			showMessage() {
    				alert('Welcom Vue Js Class')
    			}
    		},
    		template: `
    			<div>
					<h1>{{ message }}</h1>
					<ul>
						<li v-for='menu in menus'><a href="">{{ menu.name }}</a></li>
					</ul>
					<button v-on:click="showMessage()">Click here</button>
				</div>`
    	})

    	new Vue({
    		el: '#app',
    		data: {
    			message: 'Học Vue JS'
    		}
    	})
    </script>
</body>
</html>